Bug 107682 - openssl crashes when generating a key for a CSR
Summary: openssl crashes when generating a key for a CSR
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-21 23:27 UTC by Eve Kovacs
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 16:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eve Kovacs 2003-10-21 23:27:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I tried to generate a CSR using the Makefile in /usr/share/ssl/certs
When it gets to the point where it tries to generate a key, I get the following
crash:
/usr/bin/openssl req -new -key gate.key -out gate.csr
Enter pass phrase for gate.key:
unable to load Private Key
25009:error:06065064:digital envelope routines:EVP_DecryptFinal:bad
decrypt:evp_enc.c:438:
25009:error:0906A065:PEM routines:PEM_do_header:bad decrypt:pem_lib.c:421:
make: *** [gate.csr] Error 1

I tried this on a RH 8 system also, with the same result.
The version of opensssl that is installed is:

openssl-devel-0.9.7a-20
openssl-0.9.7a-20


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.cd /usr/share/ssl/certs
2.make xxx.csr
3.enter pass phrases as propmpted.
    

Actual Results:  It crashes when you enter the pass phrase for the xxx.key.

Expected Results:  Should have generated xxx.csr

Additional info:

Comment 1 Tomas Mraz 2005-02-04 16:02:29 UTC
It works fine for me on the current Fedora Core.



Note You need to log in before you can comment on or make changes to this bug.